%global install_loc  %{_datadir}/eclipse/dropins/eclemma

Name:		eclipse-eclemma
Version:	2.2.0
Release:	%mkrel 2
Summary:	Java code coverage tool plugin for Eclipse
Group:		Development/Java
License:	EPL and ASL 2.0
URL:		http://www.eclemma.org

Source0:	https://github.com/jacoco/eclemma/archive/v2.2.0.tar.gz

BuildArch:	noarch
BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:	eclipse-pde >= 1:4.2.0
BuildRequires:	jacoco >= 0.6.0
Requires:	java
Requires:	jpackage-utils
Requires:	eclipse-jdt >= 1:4.2.0
Requires:	jacoco >= 0.6.0
Requires:	objectweb-asm4

%description
EclEmma is a Java code coverage tool for Eclipse based on the EMMA Java
code coverage tool.  Features include launching from within the IDE,
coverage analysis summaries, and highlighting in Java source code
editors.

%prep
%setup -q -n eclemma-%{version}

#git does not handle empty folders - but this one is necessary

mkdir -p com.mountainminds.eclemma.asm/src
rm -fr com.mountainminds.eclemma.debug.ui.compatibility/src/org/eclipse/debug/ui/actions/RelaunchLastAction.java
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

rm -rf orbitDeps
mkdir orbitDeps
pushd orbitDeps
ln -s %{_javadir}/jacoco/org.jacoco.core.jar
ln -s %{_javadir}/jacoco/org.jacoco.agent.jar
ln -s %{_javadir}/jacoco/org.jacoco.report.jar
ln -s %{_javadir}/objectweb-asm4/asm-all.jar
popd

%build
eclipse-pdebuild -o `pwd`/orbitDeps

%install
install -d -m 755 %{buildroot}/%{install_loc}
unzip -q -o -d %{buildroot}/%{install_loc} \
  build/rpmBuild/com.mountainminds.eclemma.feature.zip
pushd %{buildroot}/%{install_loc}/eclipse/plugins
rm -fr org.jacoco*
rm -fr org.objectweb.asm*
ln -s %{_javadir}/jacoco/org.jacoco.agent.jar 
ln -s %{_javadir}/jacoco/org.jacoco.core.jar 
ln -s %{_javadir}/jacoco/org.jacoco.report.jar
ln -s %{_javadir}/objectweb-asm4/asm-all.jar
popd

%files
%doc com.mountainminds.eclemma.doc/pages/faq.html
%doc com.mountainminds.eclemma.doc/pages/license.html
%doc com.mountainminds.eclemma.core/about.html
%{install_loc}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 349377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 sander85 <sander85> 2.2.0-1.mga3
+ Revision: 343703
- New version: 2.2.0 (synced with Fedora)

  + dmorgan <dmorgan>
    - New version

* Mon May 09 2011 dmorgan <dmorgan> 1.5.2-1.mga1
+ Revision: 96760
- imported package eclipse-eclemma

